Fieldtype

Developer
Supported

Expresso

ExpressionEngine 2, ExpressionEngine 3, ExpressionEngine 4, ExpressionEngine 5

Back to this add-on's main page
View Other Add-ons From PutYourLightsOn

     

You must be logged in to post.

Support Request: Bloqs

Feature (Resolved)

Matt Kinberg
Matt Kinberg

First off- Excellent add-on!!!  We’ve used Expresso in TONS of projects with great results!

We’ve switched gears to use Bloqs, giving our clients the ultimate experience in content curation freedom.  Unfortunately only Wygwam is supported with this plugin.

We would love to continue using Expresso, but it’s not playing nice with Bloqs (throwing PHP warnings on the back end).  Help :-)

Thanks in advance, keep up the good work!

PutYourLightsOn
# 1
Developer
PutYourLightsOn

Hey Matt, sorry for the delayed reply, email notifications were not coming through to us. Unfortunately we don’t have any current plans for Bloqs support in Expresso, but I agree it would be a good feature. We’ll keep it on the list of ideas!

Tyssen
# 2
Tyssen

Another vote for Bloqs integration too.

xynergy_inc
# 3
xynergy_inc

+1 for Bloqs support - if we can’t use Expresso in Bloqs we’re going to have to switch our default in all our installs to Wygwam which is supported, but we’d prefer to keep with Expresso as all our clients know it.

Apparently it’s not that tricky - it’s already supported by Grid so (as I understand it) it’s just a little bit of code: https://eebloqs.com/documentation/developers

Thanks,
Justin


EDIT: After digging into the plugin code, changing line 77 of ft.expresso.php to:

      return ($name == ‘channel’ || $name == ‘grid’ || $name == ‘low_variables’ || $name == ‘blocks/1’);

does appear to work for me, at least in EE 3.5.x.  I’m testing and haven’t had any issues… Matt Kinberg, what issues did you encounter?


EDIT 2:  Ah, I see the PHP Warnings - they occur once you setup a Bloq with Expresso being used as one of the fields and then you go back in to edit that Bloq (see attachment).  It doesn’t seem to affect the usage at all though, but would be nice to tidy up.

PutYourLightsOn
# 4
Developer
PutYourLightsOn

Good news! Bloqs support has been added in version 4.2.4, just released today.

xynergy_inc
# 5
xynergy_inc

Awesome, thanks guys!